| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkImages::HdrEncoder Class Referencefinal

Offers capabilities to encode and decode HDR format. More...

## Static Public Member Functions
static nkMemory::Buffer | encode (const ImageView &image)
static bool | canDecode (nkMemory::BufferView< unsigned char > data)
static Image | decode (nkMemory::BufferView< unsigned char > data, const AlignmentDescriptor &alignmentDescriptor=AlignmentDescriptor())

## Detailed Description

Offers capabilities to encode and decode HDR format.

## Member Function Documentation

## ◆ encode()

static nkMemory::Buffer nkImages::HdrEncoder::encode | ( | const ImageView & | image | ) |
| static

Encodes an image into a binary buffer fitting the HDR format.

Parameters

  image | The image to encode.

Returns
  The binary buffer holding the encoded image.

Remarks
  The picture will be encoded using the adaptive RLE algorithm, RGBE, with -Y +X ordering.

## ◆ canDecode()

static bool nkImages::HdrEncoder::canDecode | ( | nkMemory::BufferView< unsigned char > | data | ) |
| static

Checks whether a binary buffer can be decoded by this encoder. This checks the buffer header for the magic bytes.

Parameters

  data | The binary data which need to be checked.

Returns
  Whether the binary buffer can be decoded (true) or not (false).

## ◆ decode()

static Image nkImages::HdrEncoder::decode | ( | nkMemory::BufferView< unsigned char > | data,
|  | const AlignmentDescriptor & | alignmentDescriptor = `AlignmentDescriptor()`
| ) |  |
| static

Decodes a binary buffer into its image representation.

Currently supported features are :

- Adaptive RLE compressed data
- RGBE format
- -Y +X image data ordering

Parameters

  data | The binary buffer to decode.
  alignmentDescriptor | If decoded image's data needs to fit some alignment requirements, they can be specified through this parameter.

Returns
  The decoded image, if data could be decoded.

Remarks
  If something goes wrong, the error will be logged and an empty image will be returned.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsImages/Hdr/HdrEncoder.h